Name:           gedit-cossa
Version:        3.2.0
Release:        5%{?dist}
Summary:        gedit plugin for GTK+ themes previewing

Group:          Applications/Editors
License:        GPLv2+
URL:            http://projects.gnome.org/gedit
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gedit-cossa/3.2/%{name}-%{version}.tar.xz

BuildRequires:  gedit-devel
BuildRequires:  gettext
BuildRequires:  cairo-devel
BuildRequires:  atk-devel
BuildRequires:  intltool
BuildRequires:  libpeas-devel
BuildRequires:  gtk3-devel
BuildRequires:  glib2-devel

%description
gedit-cossa is a CSS previewer for GTK+ themes, integrating with gedit so the
edited CSS is promptly visible in the various samples. gedit-cossa may be easily
extended with more samples and allows zooming these to help get the tiny details
right.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %name
find $RPM_BUILD_ROOT/%{_libdir}/gedit/plugins -name "*.la" -exec rm {} \;


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS COPYING
%{_bindir}/*
%{_libdir}/gedit/plugins/*
%dir %{_datadir}/gedit/plugins/cossa
%{_datadir}/gedit/plugins/cossa/*


%changelog
* Tue Mar 26 2013 Kalev Lember <kalevlember@gmail.com> - 3.2.0-5
- Rebuilt for gtksourceview3 soname bump

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 13 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 3.2.0-1
- Update to 3.2.0

* Fri Sep 02 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 3.1.2-1
- Update to 3.1.2

* Fri Jun 17 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 3.1.1-1
- Update to 3.1.1

* Fri Jun 17 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 3.0.1-1
- Update to 3.0.1

* Sun Jun 02 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 3.0.0-1
- Initial version 3.0.0.
